---
- name: Host present with allow_create_keytab
  hosts: ipaserver
  become: true

  tasks:
  - name: Host host1.example.com present with allow_create_keytab for users, groups, hosts and hostgroups
    ipahost:
      ipaadmin_password: SomeADMINpassword
      name: host01.example.com
      allow_create_keytab_user:
      - user01
      - user02
      allow_create_keytab_group:
      - group01
      - group02
      allow_create_keytab_host:
      - host02.example.com
      - host03.example.com
      allow_create_keytab_hostgroup:
      - hostgroup01
      - hostgroup02
      ip_address: 192.168.0.123
